Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class ListStyle

    java.lang.Object
      writer2latex.office.OfficeStyle
          writer2latex.office.ListStyle

    public class ListStyle

extends OfficeStyle

Class representing a list style (including outline numbering) in OOo Writer

Field Summary
`private PropertySet[]` | `level`
`private PropertySet[]` | `levelStyle`
`private static int` | `MAX_LEVEL`

Fields inherited from class writer2latex.office.OfficeStyle
`bAutomatic, family, sName`

Constructor Summary
`ListStyle()`

Method Summary
`java.lang.String` | `getLevelProperty(int i, java.lang.String sName)`
`java.lang.String` | `getLevelStyleProperty(int i, java.lang.String sName)`
`java.lang.String` | `getLevelType(int i)`
`boolean` | `isBullet(int i)`
`boolean` | `isImage(int i)`
`boolean` | `isNumber(int i)`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class writer2latex.office.OfficeStyle
`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, isAutomatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_LEVEL

    private static final int MAX_LEVEL

See Also:
  Constant Field Values

### level

    private PropertySet[] level

### levelStyle

    private PropertySet[] levelStyle

Constructor Detail

### ListStyle

    public ListStyle()

Method Detail

### getLevelType

    public java.lang.String getLevelType(int i)

### isNumber

    public boolean isNumber(int i)

### isBullet

    public boolean isBullet(int i)

### isImage

    public boolean isImage(int i)

### getLevelProperty

    public java.lang.String getLevelProperty(int i,
                                             java.lang.String sName)

### getLevelStyleProperty

    public java.lang.String getLevelStyleProperty(int i,
                                                  java.lang.String sName)

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

  Overrides:
    `loadStyleFromDOM` in class `OfficeStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD